require 'spec_helper'

module SubscriptionTest
  describe 'Subscription subscriptionMetadata' do
    include_context 'request metadata'
    it 'can return registered services which access NG subscription service' do
      wrap_request do
        variables = {}
        graphql url(service: service),
                format_request(
                  :subscriptionMetadata,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:subscriptionMetadata, service: service)
        expect(json_body[:data][:subscriptionMetadata].map { |metadata| metadata[:type] }).to include('flexreports')
      end
    end
  end
end
