require 'spec_helper'

module SubscriptionTest
  describe 'Federation Spec' do
    include_context 'request metadata'
    it 'can honor the sdl query' do
      wrap_request do
        variables = { }
        graphql url(service: service),
                format_request(:sdl, service: service),
                variables, headers
        expect_success_graphql
        check(:sdl, service: service)
      end
    end
  end
end